<?php
require_once '../core/system.php';
echo only_reg();
$sila = (500+(($user['sila']-80)*20));
$max_health = (500+(($user['max_health']-80)*20));
$lovk = (500+(($user['lovk']-80)*20));
$zashit = (500+(($user['zashit']-80)*20));
$max_mana = (350+(($user['max_mana']-1050)*1));
$header = 'Тренировка';
require_once '../core/head.php';
switch($act) {
case 'sila':
if($user[sila] < 1500){
if($user[silver] < $sila){
header('Location: ?');
$_SESSION['err'] = 'Нужно больше серебра!';
exit();
}else{
mysql_query("UPDATE `user` SET `silver` = '".($user['silver']-$sila)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `sila` = '".($user['sila']+2)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `master` = '".($user['master']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: ?');
$_SESSION['message'] = 'Параметр успешно повышен!';
exit();
}
}else{
header('Location: ?');
$_SESSION['err'] = 'Параметр прокачен максимально!';
exit();
}
break;
case 'health':
if($user[max_health] < 1500){
if($user[silver] < $max_health){
header('Location: ?');
$_SESSION['err'] = 'Нужно больше серебра!';
exit();
}else{
mysql_query("UPDATE `user` SET `silver` = '".($user['silver']-$max_health)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `max_health` = '".($user['max_health']+2)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `master` = '".($user['master']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: ?');
$_SESSION['message'] = 'Параметр успешно повышен!';
exit();
}
}else{
header('Location: ?');
$_SESSION['err'] = 'Параметр прокачен максимально!';
exit();
}
break;
case 'lovk':
if($user[lovk] < 1500){
if($user[silver] < $lovk){
header('Location: ?');
$_SESSION['err'] = 'Нужно больше серебра!';
exit();
}else{
mysql_query("UPDATE `user` SET `silver` = '".($user['silver']-$lovk)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `lovk` = '".($user['lovk']+2)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `master` = '".($user['master']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: ?');
$_SESSION['message'] = 'Параметр успешно повышен!';
exit();
}
}else{
header('Location: ?');
$_SESSION['err'] = 'Параметр прокачен максимально!';
exit();
}
break;
case 'zashit':
if($user[zashit] < 1500){
if($user[silver] < $zashit){
header('Location: ?');
$_SESSION['err'] = 'Нужно больше серебра!';
exit();
}else{
mysql_query("UPDATE `user` SET `silver` = '".($user['silver']-$zashit)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `zashit` = '".($user['zashit']+2)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `master` = '".($user['master']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: ?');
$_SESSION['message'] = 'Параметр успешно повышен!';
exit();
}
}else{
header('Location: ?');
$_SESSION['err'] = 'Параметр прокачен максимально!';
exit();
}
break;
case 'mana':
if($user[max_mana] < 2000){
if($user[gold] < $max_mana){
header('Location: ?');
$_SESSION['err'] = 'Нужно больше золота!';
exit();
}else{
mysql_query("UPDATE `user` SET `gold` = '".($user['gold']-$max_mana)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `max_mana` = '".($user['max_mana']+10)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("UPDATE `user` SET `master` = '".($user['master']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
header('Location: ?');
$_SESSION['message'] = 'Параметр успешно повышен!';
exit();
}
}else{
header('Location: ?');
$_SESSION['err'] = 'Параметр прокачен максимально!';
exit();
}
break;
default;
echo "<div class='player center blue'>Прокачивай своего героя и стань самым сильным Героем!</div>";
echo "<div class='mini-line'></div>";
echo "<div class='player'>";
echo "<img src='/images/icon/str.png' alt=''/> Сила: $user[sila]<br>";
echo "<div class='stat_bar' style='margin:2px 0px 2px'>";
echo "<div class='progress' style='width:".round(100/(1500/($user[sila]+1)))."%'></div>";
echo "</div>Чем больше сила, тем больше урона нанесёшь врагу!";
echo "<div class='center'>";
echo "<a class='btn' href='?act=sila'><span class='end'><span class='label'>Улучшить за <img src='/images/icon/silver.png'> $sila</span></span></a>";
echo "</div>";
echo "</div>";
echo "<div class='dot-line'></div>";
echo "<div class='player'>";
echo "<img src='/images/icon/vit.png' alt=''/> Здоровье: $user[max_health]<br>";
echo "<div class='stat_bar' style='margin:2px 0px 2px'>";
echo "<div class='progress' style='width:".round(100/(1500/($user[max_health]+1)))."%'></div>";
echo "</div>Здоровья много не бывает";
echo "<div class='center'>";
echo "<a class='btn' href='?act=health'><span class='end'><span class='label'>Улучшить за <img src='/images/icon/silver.png'> $max_health</span></span></a>";
echo "</div>";
echo "</div>";
echo "<div class='dot-line'></div>";
echo "<div class='player'>";
echo "<img src='/images/icon/agi.png' alt=''/> Ловкость: $user[lovk]<br>";
echo "<div class='stat_bar' style='margin:2px 0px 2px'>";
echo "<div class='progress' style='width:".round(100/(1500/($user[lovk]+1)))."%'></div>";
echo "</div>Увеличивает шанс на уворот";
echo "<div class='center'>";
echo "<a class='btn' href='?act=lovk'><span class='end'><span class='label'>Улучшить за <img src='/images/icon/silver.png'> $lovk</span></span></a>";
echo "</div>";
echo "</div>";
echo "<div class='dot-line'></div>";
echo "<div class='player'>";
echo "<img src='/images/icon/def.png' alt=''/> Защита: $user[zashit]<br>";
echo "<div class='stat_bar' style='margin:2px 0px 2px'>";
echo "<div class='progress' style='width:".round(100/(1500/($user[zashit]+1)))."%'></div>";
echo "</div>Поглощает урон врага";
echo "<div class='center'>";
echo "<a class='btn' href='?act=zashit'><span class='end'><span class='label'>Улучшить за <img src='/images/icon/silver.png'> $zashit</span></span></a>";
echo "</div>";
echo "</div>";
echo "<div class='dot-line'></div>";
echo "<div class='player'>";
echo "<img src='/images/icon/mana.png' alt=''/> Мана: $user[max_mana]<br>";
echo "<div class='stat_bar' style='margin:2px 0px 2px'>";
echo "<div class='progress' style='width:".round(100/(2000/($user[max_mana]+1)))."%'></div>";
echo "</div>Увеличивает запас маны";
echo "<div class='center'>";
echo "<a class='btn' href='?act=mana'><span class='end'><span class='label'>Улучшить за <img src='/images/icon/gold.png'> $max_mana</span></span></a>";
echo "</div>";
echo "<img src='/images/icon/skill.png' alt=''/> Мастерство: $user[master]<br><div class='mini-line'></div><ul class='hint'><li>Прокачивая параметры, вы увеличиваете мастерство</li></ul>";
echo "</div>";
}
require_once '../core/foot.php';
?>